libsigc++: sigc::bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > Class Template Reference

libsigc++ 2.12.2

Public Types | Public Member Functions | Public Attributes | List of all members
sigc::bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > Class Template Reference
Functors » mem_fun()

bound_mem_functor4 encapsulates a method with 4 arguments and an object instance. More...

`#include <sigc++/functors/mem_fun.h>`

Inheritance diagram for sigc::bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >:
[legend]

## Public Types
typedef base_type_::function_type | function_type
Public Types inherited from sigc::mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >
typedef T_return(T_obj::* | function_type) (T_arg1, T_arg2, T_arg3, T_arg4)
typedef T_return | result_type

## Public Member Functions
| bound_mem_functor4 (T_obj & _A_obj, function_type _A_func)
| Constructs a bound_mem_functor4 object that wraps the passed method.
| bound_mem_functor4 (T_obj * _A_obj, function_type _A_func)
| Constructs a bound_mem_functor4 object that wraps the passed method.
T_return | operator() (type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2, type_trait_take_t< T_arg3 > _A_a3, type_trait_take_t< T_arg4 > _A_a4) const
| Execute the wrapped method operating on the stored instance.
Public Member Functions inherited from sigc::mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >
| mem_functor4 ()
| Constructs an invalid functor.
| mem_functor4 (function_type _A_func)
| Constructs a mem_functor4 object that wraps the passed method.
T_return | operator() (T_obj & _A_obj, type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2, type_trait_take_t< T_arg3 > _A_a3, type_trait_take_t< T_arg4 > _A_a4) const
| Execute the wrapped method operating on the passed instance.
T_return | operator() (T_obj * _A_obj, type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2, type_trait_take_t< T_arg3 > _A_a3, type_trait_take_t< T_arg4 > _A_a4) const
| Execute the wrapped method operating on the passed instance.

## Public Attributes
limit_reference< T_obj > | obj_

## Additional Inherited Members
Protected Attributes inherited from sigc::mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >
function_type | func_ptr_

## Detailed Description

template <class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>
class sigc::bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >

bound_mem_functor4 encapsulates a method with 4 arguments and an object instance.

Use the convenience function mem_fun() to create an instance of bound_mem_functor4.

The following template arguments are used:

- T_arg1 Argument type used in the definition of operator()().
- T_arg2 Argument type used in the definition of operator()().
- T_arg3 Argument type used in the definition of operator()().
- T_arg4 Argument type used in the definition of operator()().
- T_return The return type of operator()().
- T_obj The object type.

## Member Typedef Documentation

## ◆ function_type

template <class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>

typedef base_type_::function_type sigc::bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::function_type

## Constructor & Destructor Documentation

## ◆ bound_mem_functor4() [1/2]

template <class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>

sigc::bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::bound_mem_functor4 | ( | T_obj * | _A_obj,
|  | function_type | _A_func )
| inline

Constructs a bound_mem_functor4 object that wraps the passed method.

Deprecated
  Please use the constructor that takes the object by reference instead.

Parameters

  _A_obj | Pointer to instance the method will operate on.
  _A_func | Pointer to method will be invoked from operator()().

## ◆ bound_mem_functor4() [2/2]

template <class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>

sigc::bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::bound_mem_functor4 | ( | T_obj & | _A_obj,
|  | function_type | _A_func )
| inline

Constructs a bound_mem_functor4 object that wraps the passed method.

Parameters

  _A_obj | Reference to instance the method will operate on.
  _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

## ◆ operator()()

template <class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>

T_return sigc::bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::operator() | ( | type_trait_take_t< T_arg1 > | _A_a1,
|  | type_trait_take_t< T_arg2 > | _A_a2,
|  | type_trait_take_t< T_arg3 > | _A_a3,
|  | type_trait_take_t< T_arg4 > | _A_a4 ) const
| inline

Execute the wrapped method operating on the stored instance.

Parameters

  _A_a1 | Argument to be passed on to the method.
  _A_a2 | Argument to be passed on to the method.
  _A_a3 | Argument to be passed on to the method.
  _A_a4 | Argument to be passed on to the method.

Returns
  The return value of the method invocation.

## Member Data Documentation

## ◆ obj_

template <class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>

limit_reference<T_obj> sigc::bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::obj_